Checks if function is disabled

- « ReflectionFunction::isAnonymous

- ReflectionFunction::__toString »

- PHP Manual
- ReflectionFunction
- Checks if function is disabled

# ReflectionFunction::isDisabled

(PHP 5 >= 5.2.0, PHP 7, PHP 8)

ReflectionFunction::isDisabled — Checks if function is disabled

Warning

This function has been DEPRECATED as of PHP 8.0.0. Relying on this function is highly discouraged.

### Description

#[\Deprecated]
public ReflectionFunction::isDisabled(): bool

Checks if the function is disabled, via the disable_functions directive.

### Parameters

This function has no parameters.

### Return Values

`true` if it's disabled, otherwise `false`

### Changelog

Version | Description
--- | ---
8.0.0 | This function has been deprecated, as ReflectionFunction can no longer be constructed for disabled functions.

### See Also

- ReflectionFunctionAbstract::isUserDefined() - Checks if user defined
- disable_functions directive